Bug 161664 - Support new emoji group candidates
Summary: Support new emoji group candidates
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-06 17:50 PDT by Myles C. Maxfield
Modified: 2016-09-08 13:11 PDT (History)
11 users (show)

See Also:


Attachments
WIP (36.36 KB, patch)
2016-09-06 17:53 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
WIP (73.19 KB, patch)
2016-09-06 21:11 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
WIP (177.16 KB, patch)
2016-09-06 22:41 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (177.14 KB, patch)
2016-09-07 15:55 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews117 for mac-yosemite (1.60 MB, application/zip)
2016-09-07 18:00 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews124 for ios-simulator-elcapitan-wk2 (17.92 MB, application/zip)
2016-09-07 18:10 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-yosemite-wk2 (1.29 MB, application/zip)
2016-09-07 18:13 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews102 for mac-yosemite (1.04 MB, application/zip)
2016-09-07 18:33 PDT, Build Bot
no flags Details
Patch (355.68 KB, patch)
2016-09-07 18:57 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews124 for ios-simulator-elcapitan-wk2 (7.88 MB, application/zip)
2016-09-07 20:09 PDT, Build Bot
no flags Details
Patch (534.16 KB, patch)
2016-09-08 10:49 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (533.67 KB, patch)
2016-09-08 11:59 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myles C. Maxfield 2016-09-06 17:50:15 PDT
Support new emoji group candidates
Comment 1 Myles C. Maxfield 2016-09-06 17:53:40 PDT
Created attachment 288076 [details]
WIP
Comment 2 Myles C. Maxfield 2016-09-06 21:11:26 PDT
Created attachment 288096 [details]
WIP
Comment 3 Myles C. Maxfield 2016-09-06 22:41:45 PDT
Created attachment 288100 [details]
WIP
Comment 4 Myles C. Maxfield 2016-09-07 15:55:24 PDT
Created attachment 288197 [details]
Patch
Comment 5 Build Bot 2016-09-07 17:59:55 PDT
Comment on attachment 288197 [details]
Patch

Attachment 288197 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/2029485

New failing tests:
editing/deleting/delete-emoji.html
Comment 6 Build Bot 2016-09-07 18:00:00 PDT
Created attachment 288215 [details]
Archive of layout-test-results from ews117 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 7 Build Bot 2016-09-07 18:10:44 PDT
Comment on attachment 288197 [details]
Patch

Attachment 288197 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/2029526

New failing tests:
editing/deleting/delete-emoji.html
Comment 8 Build Bot 2016-09-07 18:10:48 PDT
Created attachment 288216 [details]
Archive of layout-test-results from ews124 for ios-simulator-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-elcapitan-wk2  Platform: Mac OS X 10.11.5
Comment 9 Build Bot 2016-09-07 18:13:29 PDT
Comment on attachment 288197 [details]
Patch

Attachment 288197 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/2029578

New failing tests:
editing/deleting/delete-emoji.html
Comment 10 Build Bot 2016-09-07 18:13:34 PDT
Created attachment 288219 [details]
Archive of layout-test-results from ews104 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 11 Build Bot 2016-09-07 18:33:01 PDT
Comment on attachment 288197 [details]
Patch

Attachment 288197 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/2029659

New failing tests:
editing/deleting/delete-emoji.html
Comment 12 Build Bot 2016-09-07 18:33:05 PDT
Created attachment 288220 [details]
Archive of layout-test-results from ews102 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 13 Myles C. Maxfield 2016-09-07 18:57:04 PDT
Created attachment 288222 [details]
Patch
Comment 14 Build Bot 2016-09-07 20:09:04 PDT
Comment on attachment 288222 [details]
Patch

Attachment 288222 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/2030069

New failing tests:
editing/deleting/delete-emoji.html
Comment 15 Build Bot 2016-09-07 20:09:09 PDT
Created attachment 288229 [details]
Archive of layout-test-results from ews124 for ios-simulator-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-elcapitan-wk2  Platform: Mac OS X 10.11.5
Comment 16 Myles C. Maxfield 2016-09-08 10:49:48 PDT
Created attachment 288277 [details]
Patch
Comment 17 Jon Lee 2016-09-08 11:24:47 PDT
Comment on attachment 288277 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=288277&action=review

> Source/WebCore/platform/text/CharacterProperties.h:61
> +        || (character >= 0x1F574 && character == 0x1F575)

Bad second comparison.
(character >= 0x1F574 && character <= 0x1F575)
Comment 18 Myles C. Maxfield 2016-09-08 11:59:38 PDT
Created attachment 288294 [details]
Patch
Comment 19 WebKit Commit Bot 2016-09-08 13:11:22 PDT
Comment on attachment 288294 [details]
Patch

Clearing flags on attachment: 288294

Committed r205657: <http://trac.webkit.org/changeset/205657>
Comment 20 WebKit Commit Bot 2016-09-08 13:11:29 PDT
All reviewed patches have been landed.  Closing bug.